<div class="btnAcrossPageName">
  <button nz-button nzType="default" (click)="onBack()">{{'partnership.pns-contract.label.cancel' | translate}}</button>

  <mb-button
    (click)="onSave()"
    mbButtonText="{{'common.button.save' | translate}}"
    [mbButtonAvailableStyle]="'PRIMARY'"
    *ngIf='!isDetail'
  ></mb-button>
</div>

<div class="content__item content__item--border bg__content--default">

    <app-personal-info [employeeId]="employeeId"></app-personal-info>

    <form nz-form [formGroup]="form" style='margin-top: 25px'>


        <div nz-row>
            <div nz-col nzXs="24" nzLg="24" class="input__group">
                <label class="input__label">{{'partnership.pns-contract.contractApproval.label.curContractInfo' | translate}}</label>
            </div>
        </div>
        <nz-divider class="hrTag"></nz-divider>

        <div nz-row [nzGutter]="[30,30]">
            <!-- Hợp đồng hiện tại -->
            <div nz-col nzXs="8" nzLg="8">
                <mb-select
                    [mbDataSelects]="contractTypeData"
                    [mbLabelText]="'partnership.pns-contract.contractApproval.label.curContractType' | translate"
                    [mbDisable]="true"

                    [formControlName]="'curContract'"
                ></mb-select>
            </div>

            <!-- Hiệu lực từ ngày -->
            <div nz-col nzXs="8" nzLg="8">
                <mb-date-picker
                    [mbLabelText]="'partnership.pns-contract.contractApproval.label.contractTermFromDate' | translate"
                    [formControlName]="'curContractFromDate'"

                    [mbDisabled]="true"
                ></mb-date-picker>
            </div>

            <!-- Hiệu lực đến từ ngày -->
            <div nz-col nzXs="8" nzLg="8">
                <mb-date-picker
                    [mbLabelText]="'partnership.pns-contract.contractApproval.label.contractTermToDate' | translate"
                    [formControlName]="'curContractToDate'"

                    [mbDisabled]="true"
                ></mb-date-picker>
            </div>

        </div>





        <!-- Thông tin hợp đồng đề xuất theo tiêu chuẩn -->
        <div nz-row style="margin-top: 30px">
            <div nz-col nzXs="24" nzLg="24" class="input__group">
                <label class="input__label">{{'partnership.pns-contract.contractApproval.label.byLawSuggestContractInfo' | translate}}</label>
            </div>
        </div>
        <nz-divider class="hrTag"></nz-divider>

        <div nz-row [nzGutter]="[30,30]">

            <!-- Hợp đồng đề xuất theo tiêu chuẩn-->
            <div nz-col nzXs="8" nzLg="8">
                <mb-select
                    [mbDataSelects]="contractTypeData"
                    [mbLabelText]="'partnership.pns-contract.contractApproval.label.contractByLaw' | translate"
                    [mbDisable]="true"

                    [formControlName]="'contractByLaw'"
                ></mb-select>
            </div>

            <!-- Hiệu lực từ ngày -->
            <div nz-col nzXs="8" nzLg="8">
                <mb-date-picker
                    [mbLabelText]="'partnership.pns-contract.contractApproval.label.contractTermFromDate' | translate"
                    [formControlName]="'contractByLawFromDate'"

                    [mbDisabled]="true"
                ></mb-date-picker>
            </div>

            <!-- Hiệu lực đến từ ngày -->
            <div nz-col nzXs="8" nzLg="8">
                <mb-date-picker
                    [mbLabelText]="'partnership.pns-contract.contractApproval.label.contractTermToDate' | translate"
                    [formControlName]="'contractByLawToDate'"

                    [mbDisabled]="true"
                ></mb-date-picker>
            </div>

        </div>
        <!--End: Thông tin hợp đồng đề xuất theo tiêu chuẩn -->


        <!-- Thông tin hợp đồng đề xuất -->
        <div nz-row style="margin-top: 30px">
            <div nz-col nzXs="24" nzLg="24" class="input__group">
                <label class="input__label">{{'partnership.pns-contract.contractApproval.label.suggestedContractInfo' | translate}}</label>
            </div>
        </div>
        <nz-divider class="hrTag"></nz-divider>

        <div nz-row [nzGutter]="[30,30]">

            <!-- Hợp đồng đề xuất -->
            <div nz-col nzXs="8" nzLg="8">
                <mb-select
                    [mbDataSelects]="contractTypeData"
                    (mbEventEmit)="onSuggestContractChange($event)"
                    [mbLabelText]="'partnership.pns-contract.contractApproval.label.suggestContract' | translate"
                    [formControlName]="'suggestContract'"
                    [mbDisable]='isDetail'
                ></mb-select>
            </div>

            <!-- Hiệu lực từ ngày -->
            <div nz-col nzXs="8" nzLg="8">
                <mb-date-picker
                    [mbLabelText]="'partnership.pns-contract.contractApproval.label.contractTermFromDate' | translate"
                    [formControlName]="'suggestContractFromDate'"
                    [mbDisabled]="true"
                ></mb-date-picker>
            </div>

            <!-- Hiệu lực đến từ ngày -->
            <div nz-col nzXs="8" nzLg="8">
                <mb-date-picker
                    #suggestContractToDate
                    [mbLabelText]="'partnership.pns-contract.contractApproval.label.contractTermToDate' | translate"
                    [formControlName]="'suggestContractToDate'"
                    [mbDisabled]="true"
                ></mb-date-picker>
            </div>


        </div>
        <!--End: Thông tin hợp đồng đề xuất -->


        <ng-container *ngIf='isDetail'>
            <!-- Tiêu chí ký kết HĐLĐ	 -->
            <div nz-row style="margin-top: 30px">
                <div nz-col nzXs="24" nzLg="24" class="input__group">
                    <label class="input__label">{{'partnership.pns-contract.contractApproval.label.signCriteria' | translate}}</label>
                </div>
            </div>
            <nz-divider class="hrTag"></nz-divider>

            <div nz-row [nzGutter]='[30,30]'>
                <!-- Tuân thủ (Vi phạm kỷ luật hay không) -->
                <div nz-col nzXs="12" nzLg="12">
                    <mb-select
                        [mbDataSelects]="disciplineData"
                        [mbLabelText]="'partnership.pns-contract.contractApproval.label.isDisciplined' | translate"
                        [mbDisable]='isDetail'
                        [formControlName]="'isDisciplined'"
                    ></mb-select>
                </div>

                <!-- Nội dung vi phạm -->
                <div nz-col nzXs="12" nzLg="12" *ngIf="form.controls['isDisciplined'].value === '1'">
                    <mb-input-text
                        [mbDisable]='isDetail'
                        [mbLabelText]="'partnership.pns-contract.contractApproval.label.disciplineNote' | translate"
                        [formControlName]="'disciplineNote'"
                    ></mb-input-text>
                </div>

                <!-- Điểm KPI/đánh giá -->
                <div nz-col nzXs="12" nzLg="12">
                    <mb-input-text
                        [mbDisable]='isDetail'
                        [mbLabelText]="'partnership.pns-contract.contractApproval.label.kpiPoint' | translate"
                        appNumberInput
                        [formControlName]="'kpiPoint'"
                    ></mb-input-text>
                </div>

                <!-- Kết quả đào tạo/xếp loại -->
                <div nz-col nzXs="12" nzLg="12">
                    <mb-input-text
                        [mbLabelText]="'partnership.pns-contract.contractApproval.label.rankName' | translate"
                        [mbDisable]='isDetail'
                        [formControlName]="'rankName'"
                    ></mb-input-text>
                </div>
                <div nz-col nzXs=24 nzLg="24">
                    <mb-input-text
                        formControlName="note"
                        [mbIsTextAre]="true"
                        [mbDisable]='isDetail'
                        [mbMaxLength]="500"
                        mbPlaceholderText="{{'partnership.pns-contract.label.note' | translate}}"
                        mbLabelText="{{'partnership.pns-contract.label.note' | translate}}"></mb-input-text>
                </div>
                <div nz-col nzXs='24' nzLg='24' class="input__group">
                    <label class="input__label">{{'partnership.pns-contract.label.attachFile' | translate}}</label>

                    <div nz-row [nzGutter]='[10,10]' class="uploadFile--wrap" *ngFor='let file of fileList'>
                        <div nz-col nzXs='12' nzLg='12'>
                            <a>{{file.name}}</a>
                        </div>
                        <div nz-col nzXs='4' nzLg='4'>
                            <span nz-icon class='btn__download' (click)='downloadFile(file)' nzType="download" nzTheme="outline"></span>
                        </div>
                    </div>
                </div>
            </div>

            <!--End: Tiêu chí ký kết HĐLĐ	 -->
        </ng-container>
    </form>
</div>
